Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security.proxytrust
Interface ProxyTrustIterator

All Known Implementing Classes:
  SingletonProxyTrustIterator

public interface ProxyTrustIterator

Defines an iterator that produces objects from which a `TrustVerifier` might be obtained. `ProxyTrustVerifier` obtains such iterators from instances of classes that have a non-`static` member method with signature:

    ProxyTrustIterator getProxyTrustIterator();

The expectation is that each element produced by the iterator either implements `ProxyTrust` or might have a `getProxyTrustIterator` method that can be used recursively to obtain further candidates.

Since:
  2.0

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements, and `false` otherwise.
`Object` | `next()` Returns the next element in the iteration.
`void` | `setException(RemoteException e)` Provides the iteration with a `RemoteException` thrown from a remote call made while attempting to obtain a `TrustVerifier` from the object returned by the most recent call to `next`.

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if the iteration has more elements, and `false` otherwise.

  Returns:
    `true` if the iteration has more elements, and `false` otherwise

### next

    public Object next()
                throws RemoteException

  Returns the next element in the iteration. This method can throw an exception (other than `NoSuchElementException`) without terminating the iteration.

  Returns:
    the next element in the iteration
  Throws:
    `NoSuchElementException` - if the iteration has no more elements
    `RemoteException` - if a communication-related exception occurs while producing the next element
    `RuntimeException` - if a runtime exception occurs while producing the next element

### setException

    public void setException(RemoteException e)

  Provides the iteration with a `RemoteException` thrown from a remote call made while attempting to obtain a `TrustVerifier` from the object returned by the most recent call to `next`. Setting an exception may influence which (if any) elements are subsequently produced by the iteration. (A `RemoteException` thrown directly by `next` should not be passed to this method.)

  Parameters:
    `e` - `RemoteException` thrown from a remote call
  Throws:
    `NullPointerException` - if the argument is `null`
    `IllegalStateException` - if `next` has never been called, or if this method has already been called since the most recent call to `next`, or if `hasNext` has been called since the most recent call to `next`, or if the most recent call to `next` threw a `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved